Subject: Re: [RFC][PATCH 2/3] netlink check sender, audit

From: Pablo Neira <[email-masked]>
Date: Tue, 15 Feb 2005 23:27:48 +0100

Chris Wright wrote:

>* Pablo Neira ([email-masked]) wrote:
>  
>
>>I agree, maybe something like the example patch attached. Hope that helps.
>>    
>>
>
>This is better, but...
>
>  
>
>>-netlink_kernel_create(int unit, void (*input)(struct sock *sk, int len))
>>+netlink_kernel_create(int unit, struct netlink_ops *nlops)
>>    
>>
>
>...this is exported interface, so would probably require a new function.
>  
>

I was aware of that. Actually I think that we can modify all calls to 
netlink_kernel_create (that aren't that much) to fit the new interface, 
I can post a patch to do that. I prefer providing just one function to 
create a netlink socket in kernel space.

--
Pablo